Subject: [Mip6] On a network-mobility solution based on Mobile IPv6

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 28 Sep 2006 09:57:09 -0500

Hi Jari,
  Have you read
draft-soliman-netlmm-harmful-00.txt?
Some people say this is an IAB quality draft.
 
BTW I am not a member of int-area ML, so I do not know if you already 
commented on this draft in int-area. Maybe you could kindly share your 
views (possibly again) on this ML?
 
Kind regards,
 
--behcet

----- Original Message ----
From: Jari Arkko <[email-masked]>
To: [email-masked]
Sent: Wednesday, September 27, 2006 4:56:06 PM
Subject: Re: [Mip6] On a network-mobility solution based on Mobile IPv6

All,

I am very sensitive to hearing about the current
industry needs. And I worry about how the IETF
not doing what is requested could lead to
fragmentation of the standards in this space.

However, I wanted to bring up a couple of notes
and provide some information about ongoing
activities.

First of all, I think it would be valuable to focus
the discussion on requirements ("what cannot
we do today?") rather than on solutions. And
requirements written in a document are easier
to deal with than a long thread of e-mails.

Second, the IETF does have a working group,
NETLMM, in the network-based mobility space.
If what you want to do is close but not quite
what they are doing, please take your
concerns directly to NETLMM. They do not have
an official WG solution specification yet, but
they will soon and I don't think they
expect to keep in the WG process for too
long after that. If you want to have an effect
the time to voice your opinion is now.

Third, the scope of the NETLMM is restricted
to IPv6 and local mobility. But we received a BOF
proposal for the San Diego IETF requesting
the extension of these to IPv4 and roaming
between domains. The BOF proposal was
eventually withdrawn after discussion, but I
stated that smaller charter extensions such as v4
support are expected once the work progresses
a bit further. And that larger extensions, such
as roaming/global support is something that
we could at least consider when the base is
done -- perhaps in the form of a rechartering
or a BOF in IETF-68. Extending the scope this
way would require IETF-wide agreement that
its a good idea, but what I wanted to say was
that NETLMM might be developed beyond its
current charter limitations.

Finally, the set of solutions in the mobility
space as well as in the local mobility space
is already quite fragmented. It is possible
that we need even further new mechanisms,
but the bar for chartering such new work
is rather high. For instance, we'd have to
be certain that there is no way we can
accommodate multiple requirements with
the same solutions, that there is indeed
significant long-term demand for the new
mechanism, etc.

--Jari

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6